/*
 * Copyright (c) 2014 TradertoolsFX
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:

 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
#property copyright "Copyright (c) 2014 TradertoolsFX"
#property link 	  "http://www.tradertools-fx.com"
#property description "This content is released under the terms of the MIT license (http://opensource.org/licenses/mit-license.html)."
#property description "This program comes with ABSOLUTELY NO WARRANTY.\r\nThis is free software, and you are welcome to redistribute it under certain conditions.\r\nFull details of the license can be found in the source file(s) or at http://www.tradertools-fx.com/modified-mit-license"
#property show_inputs

extern string _desc1 = "===Enter object prefix below===";
extern string _desc2 = "=>If multiple, separate with comma<=";
extern string _desc3 = "=>To delete all objects, leave blank<=";
extern string ObjectPrefix = NULL;

int start()
{
    if (ObjectPrefix == NULL || StringLen(ObjectPrefix) <= 0) {
        ObjectsDeleteAll();
    } else {
        string obj_prefix[];
        int prefix_count = StringSplit(ObjectPrefix, ',', obj_prefix);

        int obj_count = ObjectsTotal();
        string obj_name;

        for (int i = 0; i < obj_count; i++) {
            obj_name = ObjectName(i);
            for (int j = 0; j < prefix_count; j++) {
                // Check if prefix is at beginning of object name
                if (StringFind(obj_name, obj_prefix[j]) == 0) {
                    ObjectDelete(obj_name);
                    obj_count--;
                    i--;
                    break;
                }
            }
        }
    }

    return(0);
}
